Subject: [PATCH v2 1/2] gpio: Add driver for Zynq GPIO controller

From: [email-masked] (Baruch Siach)
Date: Fri, 11 Jul 2014 09:28:11 +0300

Hi Linus,

On Tue, Jul 08, 2014 at 11:27:57AM +0200, Linus Walleij wrote:
> On Mon, Jul 7, 2014 at 5:23 PM, Baruch Siach <[email-masked]> wrote:
> > On Mon, Jul 07, 2014 at 04:51:56PM +0200, Linus Walleij wrote:
> 
> >> This needs someone to step in and provide a replacement, my preferred
> >> mechanism would be a /dev/gpiochip0/... hierarchy using char devices.
> >
> > I really like the ability to control GPIOs from shell, both interactively and
> > scripted. I find it useful for quick hardware level debugging,
> 
> I would be happy to carry it in the unstable-ABI debugfs for sure.
> It's the supported ABI that bothers me.
> 
> > and for boot
> > time scripting (mainly in initramfs).
> 
> What is the usecase here?

During boot I need to know, for example, when an FPGA is ready to be 
programmed, and when said FPGA has finished its initialization. I also read 
the sate of on-board DIP switches to determine the desired boot method. I find 
the current sysfs interface quite convenient for these and similar tasks.

baruch

-- 
     http://baruch.siach.name/blog/                  ~. .~   Tk Open Systems
=}------------------------------------------------ooO--U--Ooo------------{=
   - baruch at tkos.co.il - tel: +972.2.679.5364, http://www.tkos.co.il -